com.r3corda.core.node / WorldCoordinate

# WorldCoordinate

`data class WorldCoordinate`

A latitude/longitude pair.

### Constructors

<init> | `WorldCoordinate(latitude: Double, longitude: Double)` A latitude/longitude pair.

### Properties

latitude | `val latitude: Double`
longitude | `val longitude: Double`

### Functions

project | `fun project(screenWidth: Double, screenHeight: Double, topLatitude: Double, bottomLatitude: Double, leftLongitude: Double, rightLongitude: Double): <ERROR CLASS><Double, Double>` Convert to screen coordinates using the Mercator projection. You should have a world map image that you know the precise extents of for this function to work.